Difference between revisions of "Draft Label/de"

From FreeCAD Documentation
Jump to navigation Jump to search
 
(21 intermediate revisions by 2 users not shown)
Line 2: Line 2:
 
{{Docnav/de
 
{{Docnav/de
 
|[[Draft_CubicBezCurve/de|KubischeBezKurve]]
 
|[[Draft_CubicBezCurve/de|KubischeBezKurve]]
|[[Draft_Move/de|Bewege]]
+
|[[Draft_AnnotationStyleEditor/de|AnmerkungStilEditor]]
 
|[[Draft_Module/de|Entwurf]]
 
|[[Draft_Module/de|Entwurf]]
IconL=Draft CubicBezCurve.svg  
+
|IconL=Draft CubicBezCurve.svg
 +
|IconR=Draft_AnnotationStyleEditor.svg  
 
|IconC=Workbench_Draft.svg
 
|IconC=Workbench_Draft.svg
|IconR=Draft_Move.svg
 
 
}}
 
}}
  
Line 21: Line 21:
 
==Beschreibung==
 
==Beschreibung==
  
Das Etikettenwerkzeug fügt ein mehrzeiliges Textfeld mit einer 2-teiligen Führungslinie und einem Pfeil ein. Wenn beim Starten des Befehls ein Objekt oder ein Unterelement (Fläche, Kante oder Scheitelpunkt) ausgewählt wird, kann das Etikett veranlasst werden, ein bestimmtes Attribut des ausgewählten Elements anzuzeigen, einschließlich Position, Länge, Fläche, Volumen oder Material.
+
Das Etikettenwerkzeug fügt ein mehrzeiliges Textfeld mit einer 2-teiligen Führungslinie und einem Pfeil ein. Wenn beim Starten des Befehls ein Objekt oder ein Unterelement (Fläche, Kante oder Knoten) ausgewählt wird, kann das Etikett veranlasst werden, ein bestimmtes Attribut des ausgewählten Elements anzuzeigen, einschließlich Position, Länge, Fläche, Volumen oder Material.
  
 
Um ein einfacheres Textelement ohne Pfeil einzufügen, verwende [[Draft Text/de|Entwurf Text]]. Um feste Textformen zu erstellen, verwende [[Draft ShapeString/de|Entwurf FormZeichenfolge]] mit [[Part Extrude/de|Part extrudieren]].
 
Um ein einfacheres Textelement ohne Pfeil einzufügen, verwende [[Draft Text/de|Entwurf Text]]. Um feste Textformen zu erstellen, verwende [[Draft ShapeString/de|Entwurf FormZeichenfolge]] mit [[Part Extrude/de|Part extrudieren]].
Line 30: Line 30:
 
==Anwendung==
 
==Anwendung==
  
# Press the {{Button|[[Image:Draft_Label.svg|16px]] [[Draft Label]]}} button, or press {{KEY|D}} then {{KEY|L}} keys.
+
# Drücke die {{Button|[[Image:Draft_Label.svg|16px]] [[Draft Label/de|Entwurf Etikett]]}} Schaltfläche oder drücke {{KEY|D}} und dann {{KEY|L}} Schaltflächen.
# Click a first point on the 3D view, or type a [[Draft_Coordinates|coordinate]] and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button. This point indicates the target (arrow head). This can be anywhere, it doesn't need to be an element.
+
# Klicke auf einen ersten Punkt in der 3D Ansicht oder gib eine [[Draft_Coordinates/de|Koordinate]] ein und drücke die {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint/de|Punkt hinzufügen]]}} Schaltfläche. Dieser Punkt gibt das Ziel (Pfeilspitze) an. Dies kann überall sein, es muss kein Element sein.
# Click a second point on the 3D view, or type a [[Draft_Coordinates|coordinate]] and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button. This point indicates the start of a horizontal or vertical leader.
+
# Klicke auf einen zweiten Punkt in der 3D Ansicht, oder gib eine [[Draft_Coordinates/de|Koordinate]] ein, und drücke die {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint/de|Punkt  hinzufügen]]}} Schaltfläche. Dieser Punkt zeigt den Beginn einer horizontalen oder vertikalen Führungslinie an.
# Click a third point on the 3D view, or type a [[Draft_Coordinates|coordinate]] and press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button. This point indicates the base point of the text.
+
# Klicke auf einen dritten Punkt in der 3D Ansicht, oder gib eine [[Draft_Coordinates/de|Koordinate]] ein, und drücke die {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint/de|Punkt  hinzufügen]]}} Schaltfläche. Dieser Punkt gibt den Basispunkt des Textes an.
  
{{emphasis|Note:}} the direction of the horizontal straight segment, to the right or to the left, will automatically align the text to the opposite direction. If the leader goes vertically up, the text is aligned to the left; if it goes vertically down, it is aligned to the right.
+
{{Emphasis|Hinweis:}} die Richtung des horizontalen geraden Segments, nach rechts oder links, richtet den Text automatisch in die entgegengesetzte Richtung aus. Wenn die Führungslinie vertikal nach oben geht, wird der Text nach links ausgerichtet; wenn sie vertikal nach unten geht, wird sie nach rechts ausgerichtet.
  
{{emphasis|Note 2:}} by pre-selecting an object, or a sub-element (vertex, edge or face), before pressing the tool button, the label will become parametric, that is, it will remember which object it is bound to, and it will be able to display a particular attribute of that object. If the attributes of the object change later on, the label will adjust the displayed information.
+
{{Emphasis|Hinweis 2:}} durch Vorauswahl eines Objekts oder eines Unterelements (Knoten, Kante oder Fläche) vor dem Drücken der Werkzeugschaltfläche wird die Beschriftung parametrisch, d. h. sie merkt sich, an welches Objekt sie gebunden ist, und kann ein bestimmtes Attribut dieses Objekts anzeigen. Wenn sich die Attribute des Objekts später ändern, passt das Etikett die angezeigten Informationen an.
  
 
==Optionen==
 
==Optionen==
  
* Click on {{Button|Label type}} to select the type of information to display, including "Custom", "Name", "Label", "Position", "Length", "Area", "Volume", "Tag", and "Material". (See explanation of  [[#Label_types|Label types]] below)
+
* Klicke auf {{Button|Etikettentyp}}, um die Art der anzuzeigenden Informationen auszuwählen, einschließlich "Benutzerdefiniert", "Name", "Etikett", "Position", "Länge", "Bereich", "Volumen", "Tag" und "Material". (Siehe Erklärung der [[#Label_types/de|Labeltypen]] unten)
* To enter coordinates manually, simply enter the numbers, then press {{KEY|Enter}} between each X, Y and Z component. You can press the {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint|add point]]}} button when you have the desired values to insert the point.
+
* Um Koordinaten manuell einzugeben, gib einfach die Zahlen ein und drücke dann {{KEY|Eingabe}} zwischen jeder X, Y und Z Komponente. Du kannst die {{Button|[[Image:Draft_AddPoint.svg|16px]] [[Draft_AddPoint/de|Punkt hinzufügen]]}} Schaltfläche drücken wenn du die gewünschten Werte zum Einfügen des Punktes hast.
* Hold {{KEY|Ctrl}} while placing the label to force [[Draft_Snap|snapping]] your point to the nearest snap location, independently of the distance.
+
* Halte {{KEY|Strg}} gedrückt, während der Platzierung der Beschriftung, um [[Draft_Snap/de|Fang]] deinen Punkt unabhängig von der Entfernung an die nächstgelegene Fangposition zu zwingen.
* Press {{KEY|Esc}} or the {{button|Close}} button to abort the current command.
+
* Drücke {{KEY|Esc}} oder die {{Button|Schließen}} Schaltfläche, um den aktuellen Befehl abzubrechen.
  
 
==Eigenschaften==
 
==Eigenschaften==
Line 59: Line 59:
 
* {{PropertyData|Axis}}: specifies the axis to use for the rotation.
 
* {{PropertyData|Axis}}: specifies the axis to use for the rotation.
  
==== Label types ====
+
==== Etikettentypen ====
  
 
* {{Emphasis|Custom:}} displays the contents of {{PropertyData|Custom Text}}.
 
* {{Emphasis|Custom:}} displays the contents of {{PropertyData|Custom Text}}.
Line 84: Line 84:
 
* {{PropertyView|Display Mode}}: if it is "3D text" the text will be aligned to the scene axes, initially lying on the XY plane; if it is "2D text" the text will always face the camera.
 
* {{PropertyView|Display Mode}}: if it is "3D text" the text will be aligned to the scene axes, initially lying on the XY plane; if it is "2D text" the text will always face the camera.
  
==Scripting==
+
==Skripten==
{{Emphasis|See also:}} [[Draft API]] and [[FreeCAD Scripting Basics]].
+
{{Emphasis|Siehe auch:}} [[Draft API/de|Entwurf API]] und [[FreeCAD Scripting Basics/de|FreeCAD Grundlagen Skripten]].
  
The Label tool can be used in [[macros]] and from the [[Python]] console by using the following function:
+
Das Etikett Werkzeug kann in [[macros/de|Makros]] und aus der [[Python/de|Python]] Konsole mit der folgenden Funktion verwendet werden:
 
{{Code|code=
 
{{Code|code=
 
Label = makeLabel(targetpoint=None, target=None, direction=None, distance=None, labeltype=None, placement=None)
 
Label = makeLabel(targetpoint=None, target=None, direction=None, distance=None, labeltype=None, placement=None)
 
}}
 
}}
  
* Creates a {{incode|Label}} object, with the leader pointing to {{incode|targetpoint}}, and linking to the {{incode|target}} object which must be a {{incode|DocumentObject}} ({{emphasis|Editor:}} or a SelectionObject? This is unclear).
+
* Erstellt ein {{incode|Etikett}} Objekt, wobei die Führung auf {{incode|Zielpunkt}} zeigt und auf das {{incode|Ziel}} Objekt verweist, das ein {{incode|DokumentObjekt}} sein muss. ({{Emphasis|Editor:}} oder ein AuswahlObjekt? Das ist unklar).
* {{incode|direction}} is either "Horizontal", "Vertical", or "Custom".
+
* {{incode|Richtung}} ist entweder "Horizontal", "Vertikal" oder "Benutzerdefiniert".
* {{incode|distance}} is the distance from the base point of the text to the leader.
+
* {{incode|Abstand}} ist der Abstand vom Basispunkt des Textes bis zur Führung.
* {{incode|labeltype}} is one of "Custom", "Name", "Label", "Position", "Length", "Area", "Volume", "Tag", or "Material".
+
* {{incode|Etikettentype}} ist eines von "Benutzerdefiniert", "Name", "Etikett", "Position", "Länge", "Fläche", "Volumen", "Tag" oder "Material".
* If a {{incode|placement}} is given, it is used for the base point of the text; otherwise the text is created at the origin.
+
* Wenn eine {{incode|Positionierung}} angegeben wird, wird er für den Basispunkt des Textes verwendet; andernfalls wird der Text am Ursprung erstellt.
  
Change the custom text by overwriting the {{incode|CustomText}} attribute. A list of strings can be used; each element will be displayed in its own line.
+
Ändere den benutzerdefinierten Text, durch überschreiben des {{incode|AngepassterText}} Attributs. Es kann eine Liste von Zeichenfolgen verwendet werden; jedes Element wird in einer eigenen Zeile angezeigt.
  
The view properties of {{incode|Label}} can be changed by overwriting its attributes; for example, overwrite {{incode|ViewObject.TextSize}} with the new size in millimeters.
+
Die Ansichtseigenschaften von {{incode|Etikett}} können durch Überschreiben seiner Attribute geändert werden; z.B. überschreibe {{incode|ViewObject.TextSize}} mit der neuen Größe in Millimetern.
  
 
Beispiel:
 
Beispiel:
Line 131: Line 131:
  
 
{{Docnav/de
 
{{Docnav/de
|[[Draft CubicBezCurve/de|KubischeBezKurve]]
+
|[[Draft_CubicBezCurve/de|KubischeBezKurve]]
|[[Draft_Move/de|Bewege]]
+
|[[Draft_AnnotationStyleEditor/de|AnmerkungStilEditor]]
 
|[[Draft_Module/de|Entwurf]]
 
|[[Draft_Module/de|Entwurf]]
IconL=Draft CubicBezCurve.svg  
+
|IconL=Draft CubicBezCurve.svg
 +
|IconR=Draft_AnnotationStyleEditor.svg  
 
|IconC=Workbench_Draft.svg
 
|IconC=Workbench_Draft.svg
|IconR=Draft_Move.svg
 
 
}}
 
}}
  

Latest revision as of 23:04, 28 December 2020

Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎română • ‎русский

Draft Label.svg Entwurf Etikett

Menüeintrag
Entwurf → Etikett
Arbeitsbereich
Entwurf, Arch
Standardtastenkürzel
D L
In der Version eingeführt
0.17
Siehe auch
Entwurf Text, Entwurf FormZeichenfolge


Beschreibung

Das Etikettenwerkzeug fügt ein mehrzeiliges Textfeld mit einer 2-teiligen Führungslinie und einem Pfeil ein. Wenn beim Starten des Befehls ein Objekt oder ein Unterelement (Fläche, Kante oder Knoten) ausgewählt wird, kann das Etikett veranlasst werden, ein bestimmtes Attribut des ausgewählten Elements anzuzeigen, einschließlich Position, Länge, Fläche, Volumen oder Material.

Um ein einfacheres Textelement ohne Pfeil einzufügen, verwende Entwurf Text. Um feste Textformen zu erstellen, verwende Entwurf FormZeichenfolge mit Part extrudieren.

Draft Label example.jpg

Verschiedene Etiketten mit unterschiedlichen Ausrichtungen, Hinweissymbolen und Informationen


Anwendung

  1. Drücke die Draft Label.svg Entwurf Etikett Schaltfläche oder drücke D und dann L Schaltflächen.
  2. Klicke auf einen ersten Punkt in der 3D Ansicht oder gib eine Koordinate ein und drücke die Draft AddPoint.svg Punkt hinzufügen Schaltfläche. Dieser Punkt gibt das Ziel (Pfeilspitze) an. Dies kann überall sein, es muss kein Element sein.
  3. Klicke auf einen zweiten Punkt in der 3D Ansicht, oder gib eine Koordinate ein, und drücke die Draft AddPoint.svg Punkt hinzufügen Schaltfläche. Dieser Punkt zeigt den Beginn einer horizontalen oder vertikalen Führungslinie an.
  4. Klicke auf einen dritten Punkt in der 3D Ansicht, oder gib eine Koordinate ein, und drücke die Draft AddPoint.svg Punkt hinzufügen Schaltfläche. Dieser Punkt gibt den Basispunkt des Textes an.

Hinweis: die Richtung des horizontalen geraden Segments, nach rechts oder links, richtet den Text automatisch in die entgegengesetzte Richtung aus. Wenn die Führungslinie vertikal nach oben geht, wird der Text nach links ausgerichtet; wenn sie vertikal nach unten geht, wird sie nach rechts ausgerichtet.

Hinweis 2: durch Vorauswahl eines Objekts oder eines Unterelements (Knoten, Kante oder Fläche) vor dem Drücken der Werkzeugschaltfläche wird die Beschriftung parametrisch, d. h. sie merkt sich, an welches Objekt sie gebunden ist, und kann ein bestimmtes Attribut dieses Objekts anzeigen. Wenn sich die Attribute des Objekts später ändern, passt das Etikett die angezeigten Informationen an.

Optionen

  • Klicke auf Etikettentyp, um die Art der anzuzeigenden Informationen auszuwählen, einschließlich "Benutzerdefiniert", "Name", "Etikett", "Position", "Länge", "Bereich", "Volumen", "Tag" und "Material". (Siehe Erklärung der Labeltypen unten)
  • Um Koordinaten manuell einzugeben, gib einfach die Zahlen ein und drücke dann Eingabe zwischen jeder X, Y und Z Komponente. Du kannst die Draft AddPoint.svg Punkt hinzufügen Schaltfläche drücken wenn du die gewünschten Werte zum Einfügen des Punktes hast.
  • Halte Strg gedrückt, während der Platzierung der Beschriftung, um Fang deinen Punkt unabhängig von der Entfernung an die nächstgelegene Fangposition zu zwingen.
  • Drücke Esc oder die Schließen Schaltfläche, um den aktuellen Befehl abzubrechen.

Eigenschaften

Data

  • DataLabel Type: specifies the type of information shown by this label (see Label types below).
  • DataCustom Text: specifies the text block to display when DataLabel Type is set to "Custom", or the label is not parametric. The text is given as a list of strings; each element on the list, separated by a comma, indicates a new line of text.
  • DataText: (read-only) indicates the actual text displayed by the label, depending on the DataLabel Type.
  • DataTarget Point: specifies the position of the tip of the leader.
  • DataStraight Direction: specifies the direction of the straight segment of the leader, either horizontal or vertical.
  • DataStraight Distance: specifies the length of the straight segment of the leader, starting from the base point of the text. If the distance is positive, the leader starts from the right side of the text, and the text aligns to the right; otherwise, the leader starts from the left side of the text, and the text aligns to the left.
  • DataPosition: specifies the base point of the first line of the text block; it also influences how the leader is drawn.
  • DataAngle: specifies the rotation of the baseline of the first line of the text block; it also influences how the leader is drawn, as it will no longer be horizontal or vertical.
  • DataAxis: specifies the axis to use for the rotation.

Etikettentypen

  • Custom: displays the contents of DataCustom Text.
  • Name: displays the internal name of the target object; the internal name is assigned to the object at its creation time, and remains fixed throughout the existence of the object.
  • Label: displays the label of the target object; the label of the object can be changed by the user at any time.
  • Position: displays the coordinates of the base point of the target object, of the target vertex, or of the center of mass of the target sub-element, if applicable.
  • Length: displays the length of the target sub-element, if applicable.
  • Area: displays the area of the target sub-element, if applicable.
  • Volume: displays the volume of the target object, if applicable.
  • Tag: displays the Tag attribute of the target object, if the object has such property, for example, objects created with the Arch Workbench.
  • Material: displays the label of the material of the target object, if the target object has such property.

View

  • ViewText Font: specifies the font to use to draw the text. It can be a font name, such as "Arial", a default style such as "sans", "serif" or "mono", a family such as "Arial,Helvetica,sans" or a name with a style such as "Arial:Bold". If the given font is not found on the system, a generic one is used instead.
  • ViewText Size: specifies the size of the text. If the label object is created in the tree view but no text is visible in the 3D view, increase the size of the text until it is visible.
  • ViewText Alignment: specifies the vertical alignment of the baseline of the text with respect to the leader. It can be top, middle or bottom.
  • ViewText Color: specifies the color of the text in an RGB tuple (R, G, B).
  • ViewLine Width: specifies the width of the leader.
  • ViewLine Color: specifies the color of the leader.
  • ViewArrow Size: specifies the size of the symbol displayed at the tip of the leader.
  • ViewArrow Type: specifies the type of symbol displayed at the tip of the leader, which can be dot, circle, arrow, or tick.
  • ViewFrame: if it is "Rectangle" it will draw a frame around the text.
  • ViewLine: if it is true the leader line will be displayed; otherwise only the text and the symbol at the tip will be displayed.
  • ViewDisplay Mode: if it is "3D text" the text will be aligned to the scene axes, initially lying on the XY plane; if it is "2D text" the text will always face the camera.

Skripten

Siehe auch: Entwurf API und FreeCAD Grundlagen Skripten.

Das Etikett Werkzeug kann in Makros und aus der Python Konsole mit der folgenden Funktion verwendet werden:

Label = makeLabel(targetpoint=None, target=None, direction=None, distance=None, labeltype=None, placement=None)
  • Erstellt ein Etikett Objekt, wobei die Führung auf Zielpunkt zeigt und auf das Ziel Objekt verweist, das ein DokumentObjekt sein muss. (Editor: oder ein AuswahlObjekt? Das ist unklar).
  • Richtung ist entweder "Horizontal", "Vertikal" oder "Benutzerdefiniert".
  • Abstand ist der Abstand vom Basispunkt des Textes bis zur Führung.
  • Etikettentype ist eines von "Benutzerdefiniert", "Name", "Etikett", "Position", "Länge", "Fläche", "Volumen", "Tag" oder "Material".
  • Wenn eine Positionierung angegeben wird, wird er für den Basispunkt des Textes verwendet; andernfalls wird der Text am Ursprung erstellt.

Ändere den benutzerdefinierten Text, durch überschreiben des AngepassterText Attributs. Es kann eine Liste von Zeichenfolgen verwendet werden; jedes Element wird in einer eigenen Zeile angezeigt.

Die Ansichtseigenschaften von Etikett können durch Überschreiben seiner Attribute geändert werden; z.B. überschreibe ViewObject.TextSize mit der neuen Größe in Millimetern.

Beispiel:

import FreeCAD, Draft

Rectangle = Draft.makeRectangle(4000, 1000)

p1 = FreeCAD.Vector(-200, 1000, 0)
place1 = FreeCAD.Placement(FreeCAD.Vector(-1000, 1300, 0), FreeCAD.Rotation())

Label1 = Draft.makeLabel(p1, Rectangle, "Horizontal", 500, "Label", place1)
Label1.ViewObject.TextSize = 200

p2 = FreeCAD.Vector(-200, 0, 0)
place2 = FreeCAD.Placement(FreeCAD.Vector(-1000, -300, 0), FreeCAD.Rotation())

Label2 = Draft.makeLabel(p2, Rectangle, "Horizontal", 500, "Custom", place2)
Label2.CustomText = ["Beware of the", "sharp edges"]
Label2.ViewObject.TextSize = 200
FreeCAD.ActiveDocument.recompute()

p3 = FreeCAD.Vector(1000, 1200, 0)
place3 = FreeCAD.Placement(FreeCAD.Vector(2000, 1800, 0), FreeCAD.Rotation())

Label3 = Draft.makeLabel(p3, Rectangle, "Horizontal", -500, "Area", place3)
Label3.ViewObject.TextSize = 200
FreeCAD.ActiveDocument.recompute()